Update an email template
Authentication
Use Bearer {{token}} in the Authorization header for authentication.
Path parameters
Headers
Include the Accept-Encoding: gzip header to compress responses as a gzipped file. It can significantly reduce the bandwidth required for a response.
If specified, Zuora automatically compresses responses that contain over 1000 bytes of data, and the response contains a Content-Encoding header with the compression algorithm so that your client can decompress it.
Include the Content-Encoding: gzip header to compress a request. With this header specified, you should upload a gzipped file for the request payload instead of sending the JSON payload.
A custom identifier for tracing the API call. If you set a value for this header, Zuora returns the same value in the response headers. This header enables you to associate your system process identifiers with Zuora API calls, to assist with troubleshooting in the event of an issue.
The value of this field must use the US-ASCII character set and must not include any of the following characters: colon (:), semicolon (;), double quote ("), and quote (').
An entity ID. If you have Zuora Multi-entity enabled and the OAuth token is valid for more than one entity, you must use this header to specify which entity to perform the operation in. If the OAuth token is only valid for a single entity, or you do not have Zuora Multi-entity enabled, you should not set this header.
Comma separated IDs. If you have Zuora Multi-Org enabled, you can use this header to specify which orgs to perform the operation in. If you do not have Zuora Multi-Org enabled, you should not set this header.
The IDs must be a sub-set of the user’s accessible orgs. If you specify an org that the user does not have access to, the operation fails. This header is important in Multi-Org (MO) setups because it defines the organization context under which the API should operate—mainly used for read access or data visibility filtering. If the header is not set, the operation is performed in scope of the user’s accessible orgs.
Request
Email CC type.
- When the related event is account-level and associated with the Subscription object, such as Subscription Created, you can use the following values:
- BillToContact
- SoldToContact
- ShipToContact
- BillToAndSoldToContacts
- AllContacts
- SpecificEmails
- InvoiceOwnerBillToContact
- InvoiceOwnerSoldToContact
- InvoiceOwnerShipToContact
- InvoiceOwnerBillToAndSoldToContacts
- InvoiceOwnerAllContacts
- When the related event is account-level and not associated with the Subscription object, such as Payment Processed, you can use the following values:
- BillToContact
- SoldToContact
- ShipToContact
- BillToAndSoldToContacts
- AllContacts
- SpecificEmails
- When the related event is tenant-level, such as Bill Run Completion, you can use the following values:
- TenantAdmin
- RunOwner
- SpecificEmails
The email body. You can add merge fields in the email body using angle brackets or double curly brackets. For more information, see Merge field syntax for email templates.
User can also embed html tags if isHtml is true.
The email subject. You can add merge fields in the email subject using angle brackets or double curly brackets. For more information, see Merge field syntax for email templates.
Email receive type.
- When the related event is account-level and associated with the Subscription object, such as Subscription Created, you can use the following values:
- BillToContact
- SoldToContact
- ShipToContact
- BillToAndSoldToContacts
- AllContacts
- SpecificEmails
- InvoiceOwnerBillToContact
- InvoiceOwnerSoldToContact
- InvoiceOwnerShipToContact
- InvoiceOwnerBillToAndSoldToContacts
- InvoiceOwnerAllContacts
- When the related event is account-level and not associated with the Subscription object, such as Payment Processed, you can use the following values:
- BillToContact
- SoldToContact
- ShipToContact
- BillToAndSoldToContacts
- AllContacts
- SpecificEmails
- When the related event is tenant-level, such as Bill Run Completion, you can use the following values:
- TenantAdmin
- RunOwner
- SpecificEmails
Response headers
This header is returned if you specify the Accept-Encoding: gzip request header and the response contains over 1000 bytes of data.
Note that only the following MIME types support gzipped responses:
application/jsonapplication/xmltext/htmltext/csvtext/plain
The request limit quota for the time window closest to exhaustion. See rate limits for more information.
The number of requests remaining in the time window closest to quota exhaustion. See rate limits for more information.
The number of seconds until the quota resets for the time window closest to quota exhaustion. See rate limits for more information.
Response
The time when the email template was created. Specified in the UTC timezone in the ISO860 format (YYYY-MM-DDThh:mm:ss.sTZD). E.g. 1997-07-16T19:20:30.45+00:00
The email body. You can add merge fields in the email body using angle brackets or double curly brackets. For more information, see Merge field syntax for email templates.
User can also embed html tags if isHtml is true.
The email subject. You can add merge fields in the email subject using angle brackets or double curly brackets. For more information, see Merge field syntax for email templates.
The event category code for a standard event. See Standard Event Categories for all event category codes.
The namespace of the eventTypeName field for custom events and custom scheduled events.
If toEmailType is SpecificEmail, this field is required.
The time when the email template was updated. Specified in the UTC timezone in the ISO860 format (YYYY-MM-DDThh:mm:ss.sTZD). E.g. 1997-07-16T19:20:30.45+00:00